This is an automated email from the ASF dual-hosted git repository.
ardovm pushed a commit to branch main
in repository https://gitbox.apache.org/repos/asf/openoffice-devtools.git
The following commit(s) were added to refs/heads/main by this push:
new 2490972 Prepare build instructions for 4.1.17 for Windows
2490972 is described below
commit 249097279af955bbe5f89e9fed5e9fb366668ac7
Author: Arrigo Marchiori <[email protected]>
AuthorDate: Sat Sep 19 14:14:24 2026 +0200
Prepare build instructions for 4.1.17 for Windows
---
build-scripts/4.1.17/wntmsci/Pack.lst | 12 ++
build-scripts/4.1.17/wntmsci/ReadMe.txt | 43 ++----
.../4.1.17/wntmsci/build_aoo32bit_on_cygwin.sh | 148 +++++++++++++++++++++
3 files changed, 168 insertions(+), 35 deletions(-)
diff --git a/build-scripts/4.1.17/wntmsci/Pack.lst
b/build-scripts/4.1.17/wntmsci/Pack.lst
new file mode 100644
index 0000000..7cc608e
--- /dev/null
+++ b/build-scripts/4.1.17/wntmsci/Pack.lst
@@ -0,0 +1,12 @@
+# Pack.lst: Contains the information for the packaging process.
+# Syntax: Product, list of platforms, list of languages, target (Separator:
spaces)
+# Syntax for list of languages: One multilingual installation set uses
separator ","
+# (Example: "en-US,de" creates English-German multilingual installation set)
+# Different installation sets use the "|" as separator
+
+
+# Product List_of_platforms List_of_languages
Target
+
+OpenOffice wntmsci12.pro
ast|bg|ca|ca-XR|ca-XV|cs|da|de|el|en-GB|en-US|es|eu|fi|fr|gd|gl|he|hi|hu|it|ja|km|ko|lt|nb|nl|pl|pt|pt-BR|ru|sk|sl|sr|sv|ta|th|tr|vi|zh-CN|zh-TW
openoffice
+OpenOffice_SDK wntmsci12.pro en-US
sdkoo
+OpenOffice_Languagepack wntmsci12.pro
ast|bg|ca|ca-XR|ca-XV|cs|da|de|el|en-GB|en-US|es|eu|fi|fr|gd|gl|he|hi|hu|it|ja|km|ko|lt|nb|nl|pl|pt|pt-BR|ru|sk|sl|sr|sv|ta|th|tr|vi|zh-CN|zh-TW
ooolanguagepack
diff --git a/build-scripts/4.1.17/wntmsci/ReadMe.txt
b/build-scripts/4.1.17/wntmsci/ReadMe.txt
index e0da893..0bb37ff 100644
--- a/build-scripts/4.1.17/wntmsci/ReadMe.txt
+++ b/build-scripts/4.1.17/wntmsci/ReadMe.txt
@@ -1,12 +1,12 @@
-This is the configuration used for AOO 4.1.16-RC3:
+This is the configuration used for AOO 4.1.17:
Step by step building guide can be found here:
https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO/Step_by_step_Windows
Build Environment:
- - Windows 10 Pro 22H2 (64-bit)
- - Cygwin 3.6.4 (64-bit)
+ - Windows 11 Pro 25H2 (64-bit)
+ - Cygwin 3.6.5-1 (64-bit)
- Apache Ant 1.9.16
- MozillaBuild 3.4
- MS Visual C++ Compiler 2008 Standard Edition (32-bit)
@@ -24,38 +24,11 @@ Bundled Runtime:
- MS Visual C++ 2008 Redistributable (64-bit) 9.0.30729.6161
- MS Visual C Runtime / msvcr100.dll (32-bit) 10.0.40219.325
-Configure:
-
-SDK_PATH="/cygdrive/c/Microsoft_SDKs/Windows/v7.0"
-WDK_HOME="/cygdrive/c/WinDDK/7600.16385.1"
-LANGS="ast bg ca ca-XR ca-XV cs da de el en-GB en-US es eu fi fr gd gl he hi
hu it ja km ko lt nb nl pl pt pt-BR ru sk sl sr sv ta th tr vi zh-CN zh-TW"
-./configure \
- --with-build-version="$(date +"%Y-%m-%d %H:%M")" \
- --with-frame-home="$SDK_PATH" \
- --with-psdk-home="$SDK_PATH" \
- --with-midl-path="$SDK_PATH/bin" \
- --with-ant-home="/cygdrive/c/apache-ant-1.9.16" \
- --with-jdk-home="/cygdrive/c/Program Files (x86)/Java/jdk1.7.0_80" \
- --with-csc-path="/cygdrive/c/Windows/Microsoft.NET/Framework/v3.5" \
- --with-cl-home="/cygdrive/c/Program Files (x86)/Microsoft Visual Studio
9.0/VC" \
- --with-asm-home="/cygdrive/c/Program Files (x86)/Microsoft Visual Studio
9.0/VC/bin" \
- --with-atl-include-dir="$WDK_HOME/inc/atl71" \
- --with-atl-lib-dir="$WDK_HOME/lib/atl/i386" \
- --with-mfc-include-dir="$WDK_HOME/inc/mfc42" \
- --with-mfc-lib-dir="$WDK_HOME/lib/mfc/i386" \
-
--with-dmake-url="https://sourceforge.net/projects/oooextras.mirror/files/dmake-4.12.tar.bz2"
\
- --with-directx-home="/cygdrive/c/Microsoft_DirectX_SDK_June_2010" \
- --with-nasm-home="/cygdrive/c/Program Files/NASM" \
- --enable-win-x64-shellext \
- --enable-wiki-publisher \
- --without-junit \
- --without-stlport \
- --with-mozilla-build="/cygdrive/c/mozilla-build" \
- --enable-category-b \
- --with-lang="${LANGS}" \
- --enable-bundled-dictionaries \
- --with-packager-list=/cygdrive/c/Source/Pack.lst \
- --with-nsis-path="/cygdrive/c/NSIS"
+The commands for configuring and building the release, the language packs
+etc. are taken from script:
+build_aoo32bit_on_cygwin.sh
+launched without any parameters, and with file Pack.lst copied into
+/cygdrive/c/Source
For further details see "config.log"
diff --git a/build-scripts/4.1.17/wntmsci/build_aoo32bit_on_cygwin.sh
b/build-scripts/4.1.17/wntmsci/build_aoo32bit_on_cygwin.sh
new file mode 100644
index 0000000..fc8f28c
--- /dev/null
+++ b/build-scripts/4.1.17/wntmsci/build_aoo32bit_on_cygwin.sh
@@ -0,0 +1,148 @@
+#!/usr/bin/env bash
+set -eo pipefail
+
+
+#
+# Parse options
+#
+AOO_SKIP_CONFIG=
+AOO_JUST_CONFIG=
+AOO_VERBOSE_BUILD=
+AOO_BUILD_TYPE=
+AOO_BUILD_VERSION=
+AOO_BUILD_BETA=
+AOO_BUILD_DEV=
+AOO_BUILD_SRC=
+AOO_DEBUG=
+AOO_LANGS="ast bg ca ca-XR ca-XV cs da de el en-GB en-US es eu fi fr gd gl he
hi hu it ja km ko lt nb nl pl pt pt-BR ru sk sl sr sv ta th tr vi zh-CN zh-TW"
+AOO_ANT_HOME="/cygdrive/c/apache-ant-1.9.16"
+AOO_JDK_HOME="/cygdrive/c/Program Files (x86)/Java/jdk1.7.0_80"
+AOO_CSC_PATH="/cygdrive/c/Windows/Microsoft.NET/Framework/v3.5"
+AOO_CL_HOME="/cygdrive/c/Program Files (x86)/Microsoft Visual Studio 9.0/VC"
+AOO_ASM_HOME="/cygdrive/c/Program Files (x86)/Microsoft Visual Studio
9.0/VC/bin"
+AOO_SDK_PATH="/cygdrive/c/Microsoft_SDKs/Windows/v7.0"
+AOO_WDK_HOME="/cygdrive/c/WinDDK/7600.16385.1"
+AOO_DIRECTX_HOME="/cygdrive/c/Microsoft_DirectX_SDK_June_2010"
+AOO_NASM_HOME="/cygdrive/c/Program Files/NASM"
+AOO_MOZBUILD="/cygdrive/c/mozilla-build-3.4"
+AOO_NSIS_HOME="/cygdrive/c/NSIS"
+AOO_PACKAGE_FORMAT="msi"
+
+while true; do
+ case "$1" in
+ "--verbose" ) AOO_VERBOSE_BUILD="--enable-verbose"; shift ;;
+ "--skip-config" ) AOO_SKIP_CONFIG="yes"; shift ;;
+ "--just-config" ) AOO_JUST_CONFIG="yes"; shift ;;
+ "--build-src" ) AOO_BUILD_SRC="yes"; shift ;;
+ "--dev" ) AOO_BUILD_TYPE="Apache OpenOffice Test Development
Build"; AOO_BUILD_VERSION=" [${AOO_BUILD_TYPE}]"; AOO_BUILD_DEV="yes";
AOO_BUILD_BETA=""; shift ;;
+ "--beta" ) AOO_BUILD_TYPE="Apache OpenOffice Beta Build";
AOO_BUILD_VERSION=" [${AOO_BUILD_TYPE}]"; AOO_BUILD_BETA="yes";
AOO_BUILD_DEV=""; shift ;;
+ "--langs" ) shift ; AOO_LANGS="$1"; shift ;;
+ "--symbols" ) AOO_DEBUG="$AOO_DEBUG --enable-symbols=yes";
shift ;;
+ "--debug" ) AOO_DEBUG="$AOO_DEBUG --enable-debug"; shift ;;
+ "--package-format" ) shift; AOO_PACKAGE_FORMAT="$1"; shift ;;
+ "--" ) shift; break ;;
+ "" ) break ;;
+ * ) echo "unknown option: $1"; shift ;;
+ esac
+done
+
+if [ ! -d ../main -o ! -d sal ] ; then
+ echo "CHDIR into AOO's main/ directory first!"
+ exit 1
+fi
+AOO_ATL_INCLUDE="$AOO_WDK_HOME/inc/atl71"
+AOO_ATL_LIB="$AOO_WDK_HOME/lib/atl/i386"
+AOO_MFC_INCLUDE="$AOO_WDK_HOME/inc/mfc42"
+AOO_MFC_LIB="$AOO_WDK_HOME/lib/mfc/i386"
+
+# It is possible that missing directories are detected after hours of
+# compilation. We try to avoid problems by checking them in advance.
+for d in "$AOO_ANT_HOME" "$AOO_JDK_HOME" "$AOO_CSC_PATH" "$AOO_CL_HOME" \
+ "$AOO_ASM_HOME" "$AOO_SDK_PATH" "$AOO_ATL_INCLUDE" "$AOO_ATL_LIB" \
+ "$AOO_MFC_INCLUDE" "$AOO_MFC_LIB" "$AOO_DIRECTX_HOME" \
+ "$AOO_MOZBUILD" "$AOO_NASM_HOME" "$AOO_NSIS_HOME" ; do
+ if [ ! -d "$d" ]; then
+ echo "Directory $d does not exist!"
+ exit 1
+ fi
+done
+
+rm -f solenv/inc/reporevision.lst
+if [ -e configure.in ]; then
+ AOO_CONF_T="configure.in"
+else
+ AOO_CONF_T="configure.ac"
+fi
+if [ ! -e configure -o $AOO_CONF_T -nt configure ] ; then
+ echo "Running autoconf..."
+ autoconf || exit 1
+fi
+
+if [ "$AOO_SKIP_CONFIG" != "yes" ]; then
+ (./configure \
+ --with-build-version="$(date +"%Y-%m-%d %H:%M")" \
+ --with-frame-home="$AOO_SDK_PATH" \
+ --with-psdk-home="$AOO_SDK_PATH" \
+ --with-midl-path="$AOO_SDK_PATH/bin" \
+ --with-ant-home="$AOO_ANT_HOME" \
+ --with-jdk-home="$AOO_JDK_HOME" \
+ --with-csc-path="$AOO_CSC_PATH" \
+ --with-cl-home="$AOO_CL_HOME" \
+ --with-asm-home="$AOO_ASM_HOME" \
+ --with-atl-include-dir="$AOO_ATL_INCLUDE" \
+ --with-atl-lib-dir="$AOO_ATL_LIB" \
+ --with-mfc-include-dir="$AOO_MFC_INCLUDE" \
+ --with-mfc-lib-dir="$AOO_MFC_LIB" \
+
--with-dmake-url="https://sourceforge.net/projects/oooextras.mirror/files/dmake-4.12.tar.bz2"
\
+ --with-directx-home="$AOO_DIRECTX_HOME" \
+ --with-nasm-home="$AOO_NASM_HOME" \
+ --enable-win-x64-shellext \
+ --enable-wiki-publisher \
+ --without-junit \
+ --without-stlport \
+ --with-mozilla-build="$AOO_MOZBUILD" \
+ --enable-category-b \
+ --with-package-format="$AOO_PACKAGE_FORMAT" \
+ --with-lang="${AOO_LANGS}" \
+ --enable-bundled-dictionaries \
+ --with-packager-list=/cygdrive/c/Source/Pack.lst \
+ --with-nsis-path="$AOO_NSIS_HOME" \
+ $AOO_DEBUG \
+ | tee config.out ) || exit 1
+fi
+
+source ./winenv.set.sh || exit 1
+./bootstrap || exit 1
+rm -f solenv/inc/reporevision.lst
+cd instsetoo_native
+cpus=`nproc` || cpus=4
+if [ $cpus -ge 8 ]; then
+ p1=$(( $cpus / 4 ))
+ p2=4
+elif [ $cpus -ge 2 ]; then
+ p1=$(( $cpus / 2 ))
+ p2=2
+else
+ p1=1
+ p2=2
+fi
+time perl "$SOLARENV/bin/build.pl" --all -P${p1} -- -P${p2} || exit 1
+cd util
+if [ "$AOO_BUILD_BETA" = "yes" ]; then
+ dmake -P${cpus} openofficebeta || exit 1
+ dmake -P${cpus} sdkoobeta_en-US || exit 1
+ dmake -P${cpus} ooobetalanguagepack || exit 1
+elif [ "$AOO_BUILD_DEV" = "yes" ]; then
+ dmake -P${cpus} openofficedev || exit 1
+ dmake -P${cpus} sdkoodev_en-US || exit 1
+ dmake -P${cpus} ooodevlanguagepack || exit 1
+else
+ dmake -P${cpus} ooolanguagepack || exit 1
+ dmake -P${cpus} sdkoo_en-US || exit 1
+fi
+if [ "$AOO_BUILD_SRC" = "yes" ]; then
+ dmake aoo_srcrelease || exit 1
+fi
+
+date "+Build ended at %H:%M:%S"
+